SOELIM(1)

BEZEICHNUNG
soelim - .so-Anfragen in GROFF-Eingaben interpretieren

ÜBERSICHT
soelim [-Crtv] [-I Verz] [Datei …]

BESCHREIBUNG
soelim liest Dateien und ersetzt Zeilen der Art

    .so Datei

durch den Inhalt der Datei. Dies ist nützlich, falls mit .so eingebundene Dateien vorverarbeitet werden müssen. Normalerweise sollte soelim mit der Option -s von groff aufgerufen werden.

Um »\« im Dateinamen einzubetten, schreiben Sie »\\« oder »\e«. Um ein Leerzeichen einzubetten, schreiben Sie »\ «. Alle anderen Maskiersequenzen in Datei führen dazu, dass soelim die gesamte Zeile ignoriert.

Beachten Sie, dass es keinen Leerraum zwischen dem Punkt am Anfang und den zwei Zeichen »s« und »o« geben darf. Andernfalls interpretiert nur groff die .so-Anfrage (und soelim ignoriert sie).

OPTIONEN
Zwischen einer Befehlszeilenoption und ihrem Argument ist Leerraum erlaubt.

-C  Erkennt .so, selbst wenn diesem kein Leerzeichen oder Zeilenumbruch folgt.

-IVerz
    Diese Option kann zum Hinzufügen eines Verzeichnisses zum Suchpfad für Dateien (sowohl der auf der Befehlszeile als auch solchen, die in .so-Anfragen benannt sind) verwandt werden. Der Suchpfad wird mit dem aktuellen Verzeichnis initialisiert. Diese Option kann mehr als einmal angegeben werden. Die Verzeichnisse werden in der angegebenen Reihenfolge durchsucht (aber vor dem aktuellen Verzeichnis). Falls Sie möchten, dass das aktuelle Verzeichnis vor anderen Verzeichnissen gelesen wird, fügen Sie -I. an einer passenden Stelle hinzu.

    Für Dateien mit einem absoluten Dateinamen wird keine Verzeichnissuche durchgeführt.

-r  Fügt keine .lf-Anfragen hinzu (zur allgemeinen Verwendung, mit nicht-Groff-Dateien).

-t  Gibt keine .lf-Anfragen, sondern TeX-Kommentarzeilen aus (beginnend mit »%«), die die aktuelle Datei und Zeilennummer angeben.

-v  Gibt die Versionsnummer aus.

VERWENDUNG
Die normale Verarbeitungssequenz von Groff ist wie folgt:

          input        sourced
          file          file
            |             |
            v             v
        preprocessor -> troff -> postprocessor
                                      |
                                      v
                                   output
                                    file

Das heißt, mit .so eingelesene Dateien werden normalerweise nur von troff (dem eigentlichen Formatierungsprogramm) gelesen. soelim wird von troff nicht für Quelldateien benötigt.

Falls eine eingelesene Datei auch vorverarbeitet werden soll, muss sie bereits gelesen werden, bevor die Eingabedatei durch den Präprozessor gegeben wird. Dies wird durch soelim durchgeführt:

          input
          file
            |
            v
          soelim -> preprocessor -> troff -> postprocessor
            ^                                     |
            |                                     v
         sourced                               output
          file                                  file

SIEHE AUCH
groff(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).